#version 330 core

layout (location = 0) in vec3 vertPos;

uniform mat4 projection;
uniform mat4 view;
uniform mat4 model;
uniform float scroll;

out vec2 vUV;

void main() {
    vUV = vertPos.xy+scroll;
    gl_Position = projection * view * model * vec4(vertPos, 1.0);
}